<ion-header class="siderbar red">
    <ion-toolbar>
        <ion-buttons start>
            <button menuToggle ion-button icon-only>
                <img src="assets/icon/svg/SideBarButton_red.svg">
            </button>
        </ion-buttons>
        <ion-title>Home</ion-title>
        <ion-buttons end>
            <button ion-button icon-only>
                <img src="assets/icon/svg/locationicon_red.svg">
            </button>
        </ion-buttons>
    </ion-toolbar>
    <div class="group-header">
        <button class="button-back" ion-button icon-only clear (click)="back()">
            <ion-icon ios="ios-arrow-dropleft" md="ios-arrow-dropleft"></ion-icon>
        </button>
        <div class="group-search full-width">
            <button ion-button icon-only clear>
                <img src="assets/icon/svg/Searchicon.png">
            </button>
            <ion-input type="text" value="" placeholder="Search something..."></ion-input>
        </div>
    </div>
</ion-header>
<ion-content>
    <div class="detail-product">
        <div class="header">
            <p class="des">Chi tiết công thức</p>
            <p class="name">{{dataProduction.name}}</p>
            <div class="rate-price white">
                <div class="left">
                    <ion-rating [scorePct]="100" [fontsize]="20"></ion-rating>
                    <p class="rate">4022 Lượt bình chọn</p>
                </div>
                <div class="right">
                    <p class="price">{{dataProduction.price}} {{dataProduction.currency}}</p>
                </div>
            </div>
        </div>
        <div class="sliders">
            <ion-slides effect="coverflow" pager>
                <!-- <ion-slide>
                    <div class="image" style="background: url('assets/imgs/apps/pro_7.png')"></div>
                </ion-slide>
                <ion-slide>
                    <div class="image" style="background: url('assets/imgs/apps/pro_7.png')"></div>
                </ion-slide>
                <ion-slide>
                    <div class="image" style="background: url('assets/imgs/apps/pro_7.png')"></div>
                </ion-slide>
                <ion-slide>
                    <div class="image" style="background: url('assets/imgs/apps/pro_7.png')"></div>
                </ion-slide> -->
                <ion-slide>
                    <div class="image" [style.backgroundImage]="dataProduction.img"></div>
                </ion-slide>
            </ion-slides>
        </div>
        <div class="rate-price default">
            <div class="left">
                <ion-rating [scorePct]="100" [fontsize]="20"></ion-rating>
                <p class="rate">4022 Lượt bình chọn</p>
            </div>
            <div class="right">
                <p class="price">{{dataProduction.price}} {{dataProduction.currency}}</p>
            </div>
        </div>
        <div class="share-buttons">
            <span>Chia sẽ:</span>
            <button ion-button clear>
                <i class="fa fa-facebook-square"></i>
            </button>
            <button ion-button clear>
                <i class="fa fa-instagram"></i>
            </button>
        </div>
        <div class="content">
            <p class="title">Chi tiết công thức :</p>
            <p class="text">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed id convallis eros. Proin id hendrerit
                augue, vitae congue tellus. Curabitur aliquet, sem eget auctor scelerisque, arcu lacus interdum sapien,
                vitae sollicitudin leo nisi nec quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam
                eros risus, facilisis quis risus a, aliquam aliquam purus. Proin efficitur facilisis ex in maximus.
                Praesent placerat, enim at faucibus elementum, elit risus sodales arcu, ac viverra nibh dolor vitae
                sapien.
            </p>
        </div>
    </div>
    <div class="comment-body">
        <div class="input-comment">
            <div class="title">
                <p class="name">Đánh giá của bạn: </p>
                <p class="rate">4022 Người đã đánh giá món ăn này</p>
            </div>
            <div class="rating">
                <ion-rating [scorePct]="0" [fontsize]="40" (rattingClick)="ratingClick($event)"></ion-rating>
            </div>
            <ion-item class=input-text>
                <ion-textarea rows="3" [(ngModel)]="textComment" placeholder="Enter a description"></ion-textarea>
            </ion-item>
            <button ion-button round color="secondary" (click)="submitComment()">Gửi bình luận</button>
        </div>
        <div class="list-comment">
            <div class="title-list">
                <!-- {{'detail_restaurent.comment.viewall' | translate}}  -->
            </div>
            <div class="comments"  *ngFor="let itemComment of reviewList">
                <div class="item-comment">
                  <div class="header-item">
                    <div class="avatar">
                      <img *ngIf="itemComment.CommenterImageUrl" src="{{itemComment.CommenterImageUrl}}">
                      <img *ngIf="!itemComment.CommenterImageUrl" src="/assets/imgs/default-user.png">
                    </div>
                    <div class="right-item">
                      <div class="text">
                        <p class="name">{{itemComment.CommenterName}} <span>- {{itemComment.CreateDate | date:'dd/MM/yyyy'}}</span></p>
                        <p class="type"><span>{{'detail_restaurent.comment.memebertype' | translate}}</span> {{itemComment.VIPCardName}}</p>
                      </div>
                      <div class="rating">
                        <ion-rating [scorePct]="(itemComment.RatingScore/5)*100" [fontsize]="14"></ion-rating>
                      </div>
                    </div>
                  </div>
                  <div class="content-comment">
                    <p>{{itemComment.CommentContent}}</p>
                    <div class="buttons-con">
                      <button ion-button clear>{{'detail_restaurent.comment.like' | translate}}</button>
                    </div>
                  </div>
                </div>
            </div>
        </div>
    </div>
</ion-content>
